# Challenges

- Receiving payments
- Distributing payments to participants
- Computing updates to forum graph

## Receiving payments

Business SC will need to implement a financial model.

# Excerpts from DeSciPubDAOArchit22July19PrintCut.pdf

> With today’s prices, however, we will begin by programming this all off-chain and simplify the reputation tokens to be less dynamic in their evaluation. Next iteration improves the decentralization commensurate with practical realities.

# Questions

## Validation pool termination

How do we want to handle this?
The validation pool specifies a duration.
We don't want to compute results until the end of this duration.
We're currently supporting anonymous voting.
With anonymous voting, we need to wait until the end of the vote duration,
and then have a separate interval in which voters reveal their identities.
For now, we can let anonymous voters reveal their identities at any time

---

Bench.totalReputation is a very important quantity, isn't it? Basically determines inflation for reputation.

---

Should availability registration encumber reputation?

---

- Is a particular availability stake amount required?

Currently I support updating the staked amount.
Seems like a soft protocol thing.
A given DAO can have a formula for deciding appropriate amounts.

---

#

Implementing forum

Does the following make sense?
We will link the forum to the bench
An author of a forum post /_ ? is always? can be? _/ a reputation holder.
This is what we call a member. Let's update that terminology to be `reputationHolder`.
That's too long, though. Let's rename it to `expert`.
